## perlqt 4.13.0

=== qimageblitz/lib/CMakeLists.txt ===
add_custom_target(qimageblitzpm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/QImageBlitz.pm ${CMAKE_BINARY_DIR}/blib/lib/QImageBlitz.pm)
install(FILES QImageBlitz.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== qt3support/lib/CMakeLists.txt ===
add_custom_target(qt3support4pm ALL ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/Qt3Support4.pm ${CMAKE_BINARY_DIR}/blib/lib/Qt3Support4.pm)
install(FILES Qt3Support4.pm DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/)

=== qt3support/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on Qt3Support4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/Qt3Support4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} Qt3Support4.xs ${CMAKE_CURRENT_BINARY_DIR}/Qt3Support4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/Qt3Support4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build Qt3Support4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/Qt3Support4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(qt3support4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/Qt3Support4.c
    qt3support4handlers.cpp
)

if(WIN32)
    set(libraryName PerlQt3Support4)
else()
    set(libraryName Qt3Support4)
endif(WIN32)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/blib/arch/auto/${libraryName})
add_library(perl_qt3support4 SHARED ${qt3support4_LIBRARY_SRC})

target_link_libraries(perl_qt3support4
    ${SMOKE_QT3SUPPORT_LIBRARY}
    perlqtcore4)

set_target_properties(perl_qt3support4 PROPERTIES OUTPUT_NAME ${libraryName})
set_target_properties(perl_qt3support4 PROPERTIES PREFIX "")

install(TARGETS perl_qt3support4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/${libraryName}/)

=== qtsql/src/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/qtcore/src
    ${PERL_INCLUDE_PATH}
    ${QT_INCLUDES} )

# Run doxsubpp.pl to run xsubpp on QtSql4.xs
add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/QtSql4.c
                   COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_SOURCE_DIR}/qtcore/src/doxsubpp.pl ${PERL_EXECUTABLE} QtSql4.xs ${CMAKE_CURRENT_BINARY_DIR}/QtSql4.c
                   DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/QtSql4.xs
                   WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
# Make sure we build QtSql4.c as c++ code
set_source_files_properties( ${CMAKE_CURRENT_BINARY_DIR}/QtSql4.c 
    PROPERTIES LANGUAGE CXX
)

set( CMAKE_CXX_FLAGS ${PERL_CXX_FLAGS} )

set(qtsql4_LIBRARY_SRC
    ${CMAKE_CURRENT_BINARY_DIR}/QtSql4.c
    qtsql4handlers.cpp
)

if(WIN32)
    set(libraryName PerlQtSql4)
else()
    set(libraryName QtSql4)
endif(WIN32)

set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/blib/arch/auto/${libraryName})
add_library(perl_qtsql4 SHARED ${qtsql4_LIBRARY_SRC})

target_link_libraries(perl_qtsql4
    ${SMOKE_QTSQL_LIBRARY}
    perlqtcore4)

set_target_properties(perl_qtsql4 PROPERTIES OUTPUT_NAME ${libraryName})
set_target_properties(perl_qtsql4 PROPERTIES PREFIX "")

install(TARGETS perl_qtsql4 DESTINATION ${CUSTOM_PERL_SITE_ARCH_DIR}/auto/${libraryName}/)

=== qtwebkit/t/CMakeLists.txt ===
# Class tests
macro_prove(perlqt_qtwebkit4_load ${CMAKE_CURRENT_SOURCE_DIR}/a_loading.t)

=== qtcore/tools/prcc/CMakeLists.txt ===
SET(prcc4_SRCS rcc.cpp main.cpp )

ADD_EXECUTABLE(prcc4_bin ${prcc4_SRCS})
TARGET_LINK_LIBRARIES (prcc4_bin ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY})

INSTALL(TARGETS prcc4_bin DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)

=== qtcore/tools/puic/CMakeLists.txt ===

include_directories( ${CMAKE_CURRENT_SOURCE_DIR} )
include_directories( ${CMAKE_CURRENT_SOURCE_DIR}/perl )

########### next target ###############

set(puic4_bin_SRCS 
   customwidgetsinfo.cpp 
   databaseinfo.cpp 
   driver.cpp 
   treewalker.cpp 
   ui4.cpp 
   uic.cpp 
   validator.cpp 
   perl/plextractimages.cpp 
   perl/plwritedeclaration.cpp 
   perl/plwriteicondata.cpp 
   perl/plwriteicondeclaration.cpp 
   perl/plwriteiconinitialization.cpp 
   perl/plwriteinitialization.cpp 
   perl/plwriteincludes.cpp
   main.cpp )

add_executable(puic4_bin ${puic4_bin_SRCS})
set_target_properties(puic4_bin PROPERTIES OUTPUT_NAME puic4)
set_target_properties(puic4_bin PROPERTIES COMPILE_FLAGS -DQT_UIC)

target_link_libraries(puic4_bin  ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} )

install(TARGETS puic4_bin DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)


########### next target ###############


########### install files ###############

=== qtgui/examples/draganddrop/puzzle/Makefile ===
all : PuzzleResources.pm

PuzzleResources.pm : puzzle.qrc example.jpg
	prcc4 puzzle.qrc -o PuzzleResources.pm

clean :
	rm -f PuzzleResources.pm

=== qtgui/examples/help/remotecontrol/Makefile ===
all : Ui_RemoteControlClass.pm RemoteControlResources.pm

Ui_RemoteControlClass.pm : remotecontrol.ui
	puic4 -o Ui_RemoteControlClass.pm remotecontrol.ui

RemoteControlResources.pm : remotecontrol.qrc
	prcc4 -o RemoteControlResources.pm remotecontrol.qrc

clean :
	rm -f Ui_RemoteControlClass.pm RemoteControlResources.pm

=== qtgui/examples/painting/fontsampler/Makefile ===
all :
	puic4 mainwindowbase.ui -o Ui_MainWindowBase.pm

clean :
	rm -f Ui_MainWindowBase.pm

=== qtgui/examples/xmlpatterns/qobjectxmlmodel/Makefile ===
all : QueriesResources.pm Ui_MainWindow.pm

QueriesResources.pm : queries.qrc queries/wholeTree.xq queries/statisticsInHTML.xq
	prcc4 queries.qrc -o QueriesResources.pm

Ui_MainWindow.pm : forms/mainwindow.ui
	puic4 forms/mainwindow.ui -o Ui_MainWindow.pm

clean :
	rm -f QueriesResources.pm Ui_MainWindow.pm

## perlqt 4.7.1

=== debian/changelog ===
perlqt (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sun, 04 Sep 2011 15:09:56 +0200

perlqt (4.7.0-0ubuntu2) oneiric; urgency=low

  * Build-depend on libqwt-dev instead of the NBS libqwt5-qt4-dev

 -- Scott Kitterman <scott@kitterman.com>  Fri, 19 Aug 2011 13:33:52 -0400

perlqt (4.7.0-0ubuntu1) oneiric; urgency=low

  [ Philip Muškovac ]
  * New upstream release
    - source package rename
    - debian/control:
      + Add new packages:
        - perlqt-dev
        - libphonon-perl
        - libqimageblitz-perl
        - libqscintilla-perl
        - libqtqt3support4-perl
        - libqtdbus4-perl
        - libqtdeclarative4-perl
        - libqthelp4-perl
        - libqtopengl4-perl
        - libqtscript4-perl
        - libqtsql4-perl
        - libqtsvg4-perl
        - libqtuitools4-perl
        - libqtwebkit4-perl
        - libqtxmlpatterns4-perl
        - perlqt-dbg
      + Add libdb-dev, libgdbm-dev, libphonon-dev, libqimageblitz-dev,
        libqscintilla2-dev and pkg-kde-tools to build-deps
      + Drop build-dep on cdbs.
      + Bump standards version to 3.9.2
    - debian/rules:
      + use dhmk instead of cdbs
      + don't link with --no-undefined, doesn't build
    - drop patches build-only-qtperl-outside-bindings.diff and
      remove_linkage.diff, not needed anymore
    - update/add install files.

  [ Felix Geyer ]
  * Add ${shlibs:Depends} to perlqt-dev Depends.
  * perlqt-dbg: set section to debug and priority to extra.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 02 Aug 2011 10:24:04 +0200

qt4-perl (4.5~~svn1145508-2build1) oneiric; urgency=low

  * Rebuild for Perl 5.12.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 07 May 2011 01:22:59 +0100

qt4-perl (4.5~~svn1145508-2) unstable; urgency=low

  * Fix qttest dependencies. Closes: 591564

 -- Sune Vuorela <sune@debian.org>  Wed, 04 Aug 2010 09:34:52 +0200

qt4-perl (4.5~~svn1145508-1) unstable; urgency=low

  * Initial release

 -- Sune Vuorela <sune@debian.org>  Wed, 07 Jul 2010 14:46:21 +0200

=== debian/control ===
Source: perlqt
Section: perl
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Sune Vuorela <sune@debian.org>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               libdb-dev,
               libgdbm-dev,
               libperl-dev,
               libphonon-dev,
               libqimageblitz-dev,
               libqscintilla2-dev,
               libqt4-dev,
               libqwt-dev,
               libsmokeqt4-dev,
               pkg-kde-tools (>= 0.12),
               smoke-dev-tools
Standards-Version: 3.9.2
Homepage: https://projects.kde.org/projects/kde/kdebindings/perl/perlqt
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlqt
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/perlqt

Package: perlqt-dev
Architecture: any
Depends: libphonon-perl (= ${binary:Version}),
         libqimageblitz-perl (= ${binary:Version}),
         libqscintilla-perl (= ${binary:Version}),
         libqt3support4-perl (= ${binary:Version}),
         libqtcore4-perl (= ${binary:Version}),
         libqtdbus4-perl (= ${binary:Version}),
         libqtdeclarative4-perl (= ${binary:Version}),
         libqtgui4-perl (= ${binary:Version}),
         libqthelp4-perl (= ${binary:Version}),
         libqtnetwork4-perl (= ${binary:Version}),
         libqtopengl4-perl (= ${binary:Version}),
         libqtscript4-perl (= ${binary:Version}),
         libqtsql4-perl (= ${binary:Version}),
         libqtsvg4-perl (= ${binary:Version}),
         libqttest4-perl (= ${binary:Version}),
         libqtuitools4-perl (= ${binary:Version}),
         libqtwebkit4-perl (= ${binary:Version}),
         libqtxml4-perl (= ${binary:Version}),
         libqtxmlpatterns4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: Development files for PerlQt4
 This package contains the Development files for the Perl Qt Bindings.
 .
 This Package is part of the PerlQt module.

Package: libqtcore4-perl
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Description: perl bindings for the Qt Core library
 This package contains perl bindings for the Qt Core library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtgui4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Gui library
 This package contains perl bindings for the Qt Gui library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtxml4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Xml library
 This package contains perl bindings for the Qt Xml library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtnetwork4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Network library
 This package contains perl bindings for the Qt Network library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtgui4 package.
 .
 This Package is part of the PerlQt module.

Package: libqttest4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Test library
 This package contains perl bindings for the Qt Test library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-test package.
 .
 This Package is part of the PerlQt module.

Package: libphonon-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Phonon library
 This package contains perl bindings for the Phonon multimedia library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libphonon4 package.
 .
 This Package is part of the PerlQt module.

Package: libqimageblitz-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the QImageBlitz library
 This package contains perl bindings for the QImageBlitz library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqimageblitz4 package.
 .
 This Package is part of the PerlQt module.

Package: libqscintilla-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the QScintilla2 library
 This package contains perl bindings for the QScintilla2 library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqscintilla2-5 package.
 .
 This Package is part of the PerlQt module.

Package: libqt3support4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         libqtgui4-perl (= ${binary:Version}),
         libqtnetwork4-perl (= ${binary:Version}),
         libqtsql4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt 3 compatibility library
 This package contains perl bindings for the Qt 3 compatibility library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-qt3support package.
 .
 This Package is part of the PerlQt module.

Package: libqtdbus4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Dbus library
 This package contains perl bindings for the Qt Dbus library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-dbus package.
 .
 This Package is part of the PerlQt module.

Package: libqtdeclarative4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Declarative library
 This package contains perl bindings for the Qt Declarative library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-declarative package.
 .
 This Package is part of the PerlQt module.

Package: libqthelp4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Help library
 This package contains perl bindings for the Qt Help library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-help package.
 .
 This Package is part of the PerlQt module.

Package: libqtopengl4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt OpenGL library
 This package contains perl bindings for the Qt OpenGL library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-opengl package.
 .
 This Package is part of the PerlQt module.

Package: libqtscript4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Script bindings
 This package contains perl bindings for the Qt Script bindings.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtscript4-core package.
 .
 This Package is part of the PerlQt module.

Package: libqtsql4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Sql library
 This package contains perl bindings for the Qt Sql library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-sql package.
 .
 This Package is part of the PerlQt module.

Package: libqtsvg4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Svg library
 This package contains perl bindings for the Qt Svg library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-svg package.
 .
 This Package is part of the PerlQt module.

Package: libqtuitools4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt UiTools library
 This package contains perl bindings for the Qt UiTools library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtcore4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtwebkit4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt Webkit library
 This package contains perl bindings for the Qt Webkit library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqtwebkit4 package.
 .
 This Package is part of the PerlQt module.

Package: libqtxmlpatterns4-perl
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Description: perl bindings for the Qt XMLPatterns library
 This package contains perl bindings for the Qt XMLPatterns library.
 .
 It enables the use of Qt applications written in perl. For more details
 see the libqt4-xmlpatterns package.
 .
 This Package is part of the PerlQt module.

Package: perlqt-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libqtcore4-perl (= ${binary:Version}), ${misc:Depends}
Recommends: libsmokeqt4-dbg
Suggests: libphonon-perl (= ${binary:Version}),
          libqimageblitz-perl (= ${binary:Version}),
          libqscintilla-perl (= ${binary:Version}),
          libqt3support4-perl (= ${binary:Version}),
          libqtdbus4-perl (= ${binary:Version}),
          libqtdeclarative4-perl (= ${binary:Version}),
          libqtgui4-perl (= ${binary:Version}),
          libqthelp4-perl (= ${binary:Version}),
          libqtnetwork4-perl (= ${binary:Version}),
          libqtopengl4-perl (= ${binary:Version}),
          libqtscript4-perl (= ${binary:Version}),
          libqtsql4-perl (= ${binary:Version}),
          libqtsvg4-perl (= ${binary:Version}),
          libqttest4-perl (= ${binary:Version}),
          libqtuitools4-perl (= ${binary:Version}),
          libqtwebkit4-perl (= ${binary:Version}),
          libqtxml4-perl (= ${binary:Version}),
          libqtxmlpatterns4-perl (= ${binary:Version})
Description: debugging symobls for the perl Qt4 bindings.
 This package contains the debugging symbols that can be used for debugging
 crashes witht the Perl language bindings for Qt4.
 .
 This Package is part of the PerlQt module.

## perlqt 4.8.2

=== debian/changelog ===
perlqt (4:4.8.2-0ubuntu2) precise; urgency=low

  * Add a dependency on liblist-moreutils-perl to libqt4core-perl.
    (LP: #820243)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 13 Apr 2012 20:18:56 -0400

perlqt (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 21:15:34 +0200

perlqt (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 01:33:51 +0100

perlqt (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 23 Jan 2012 22:01:02 +0100

perlqt (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:34 +0000

perlqt (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:00:22 +0100

perlqt (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 20:56:00 +0000

perlqt (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 01:07:04 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
                libqimageblitz-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libqwt-dev,
-               libsmokeqt4-dev,
+               libsmokeqt4-dev (>= 4.8),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2
@@ -52,7 +51,8 @@
 
 Package: libqtcore4-perl
 Architecture: any
-Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
+ liblist-moreutils-perl
 Description: perl bindings for the Qt Core library
  This package contains perl bindings for the Qt Core library.
  .

## perlqt 4.9.2

=== debian/changelog ===
perlqt (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:46:43 +0100

perlqt (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:44:32 +0530

perlqt (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:49:10 +0100

perlqt (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 13 Jun 2012 08:27:09 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libqimageblitz-dev,
                libqscintilla2-dev,
                libqt4-dev,
-               libsmokeqt4-dev (>= 4.8),
+               libsmokeqt4-dev (>= 4.9.0),
                pkg-kde-tools (>= 0.12),
                smoke-dev-tools
 Standards-Version: 3.9.2

## perlqt 4.10.0

=== debian/changelog ===
perlqt (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 12:23:47 +0000

perlqt (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 16:33:50 +0000

perlqt (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:50:04 +0100

perlqt (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:49:59 +0000

perlqt (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 18:20:12 +0000

perlqt (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 16:23:17 +0000

perlqt (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:51:27 +0100

## perlqt 4.10.2

=== debian/changelog ===
perlqt (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 15:05:15 +0200

perlqt (4:4.10.1-0ubuntu2) raring; urgency=low

  * No change rebuild for libqscintilla2-9 transition

 -- Scott Kitterman <scott@kitterman.com>  Thu, 07 Mar 2013 09:07:54 -0500

perlqt (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 16:59:03 +0000

## perlqt 4.10.5

=== debian/changelog ===
perlqt (4:4.10.5-0ubuntu0.1) raring; urgency=low

  * New upstream bugfix release (LP: #1196090)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 10 Jul 2013 22:48:05 +0200

## perlqt 4.11.1

=== debian/changelog ===
perlqt (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 06 Sep 2013 22:44:21 +0100

perlqt (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:44:03 +0100

perlqt (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:12:11 +0100

perlqt (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:35 +0000

perlqt (4:4.10.90-0ubuntu2) saucy; urgency=low

  * Drop unneeded build-depends on libdb-dev
  * Fix typo in copyright field name in debian/copyright
  * Add debian/patches/remove_rpath.diff to remove rpath

 -- Scott Kitterman <scott@kitterman.com>  Wed, 10 Jul 2013 15:32:38 -0400

perlqt (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream beta release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:35:16 +0100

perlqt (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:01:59 +0100

perlqt (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:56:08 +0100

perlqt (4:4.10.2-0ubuntu2) saucy; urgency=low

  * debian/control: fix typo in package description (LP: #1181501).

 -- Paolo Rotolo <paolorotolo@ubuntu.com>  Sun, 19 May 2013 11:03:12 +0200

## perlqt 4.11.2

=== debian/changelog ===
perlqt (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:59:48 +0100

## perlqt 4.13.0

=== debian/changelog ===
perlqt (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:31:53 +0100

perlqt (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:58:26 +0200

perlqt (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:59:05 +0100

perlqt (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:08:05 +0000

perlqt (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:19:35 +0100

perlqt (4:4.12.2-0ubuntu2) trusty; urgency=low

  * No change rebuild for libqscintilla2-11 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 19 Feb 2014 10:31:32 -0500

perlqt (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:34:16 +0000

perlqt (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:49:07 +0000

perlqt (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:50:35 +0000

perlqt (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:49:04 +0000

perlqt (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:43:04 +0100

perlqt (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:03:06 +0100

perlqt (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 13:42:44 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Sune Vuorela <sune@debian.org>
 Build-Depends: cmake,
                debhelper (>= 7.0.50~),
-               libdb-dev,
                libgdbm-dev,
                libperl-dev,
                libphonon-dev,
@@ -340,8 +339,8 @@
           libqtwebkit4-perl (= ${binary:Version}),
           libqtxml4-perl (= ${binary:Version}),
           libqtxmlpatterns4-perl (= ${binary:Version})
-Description: debugging symobls for the perl Qt4 bindings.
+Description: debugging symbols for the perl Qt4 bindings.
  This package contains the debugging symbols that can be used for debugging
- crashes witht the Perl language bindings for Qt4.
- .
- This Package is part of the PerlQt module.
+ crashes with the Perl language bindings for Qt4.
+ .
+ This package is part of the PerlQt module.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk

dqk_link_with_no_undefined = no
include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	$(overridden_command) -- -DCUSTOM_PERL_SITE_ARCH_DIR=$(shell perl -MConfig -e 'print $$Config{installvendorarch}')


override_dh_strip:
	$(overridden_command) --dbg-package=perlqt-dbg
